#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 deferred-folds
version:              0.9.18.2
visibility:           public
id:                   deferred-folds-0.9.18.2-KhQnxGGJC4o67ef8cBsagv
key:                  deferred-folds-0.9.18.2-KhQnxGGJC4o67ef8cBsagv
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
stability:            Experimental
homepage:             https://github.com/metrix-ai/deferred-folds
synopsis:             Abstractions over deferred folds
description:
    This library is in an experimental state.
    Users should be prepared for frequent updates.

category:             Folding
abi:                  1f541db6879726bc1b88f260c3af1748
exposed:              True
exposed-modules:
    DeferredFolds.Unfoldl DeferredFolds.UnfoldlM DeferredFolds.Unfoldr

hidden-modules:
    DeferredFolds.Types DeferredFolds.UnfoldrM
    DeferredFolds.Defs.Unfoldl DeferredFolds.Defs.UnfoldlM
    DeferredFolds.Defs.Unfoldr DeferredFolds.Defs.UnfoldrM
    DeferredFolds.Prelude DeferredFolds.Util.TextArray

import-dirs:          /usr/lib/ghc-9.0.2/site-local/deferred-folds-0.9.18.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/deferred-folds-0.9.18.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-deferred-folds
hs-libraries:         HSdeferred-folds-0.9.18.2-KhQnxGGJC4o67ef8cBsagv
depends:
    base-4.15.1.0 bytestring-0.10.12.1 containers-0.6.4.1
    foldl-1.4.13-5heSq7R76vG1SSdtrK0rox
    hashable-1.4.1.0-DXpj0ho9mwSB6ue30MIccy
    primitive-0.7.4.0-9TVgKpsxQ9UKsTlz0zg7yv text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-8VYAOBvAPnuAGZDvxcTgvW
    vector-0.13.0.0-C4IY0qsV06C5Tx1gtETdzw

haddock-interfaces:
    /usr/share/doc/haskell-deferred-folds/html/deferred-folds.haddock

haddock-html:         /usr/share/doc/haskell-deferred-folds/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

